Start a new conversation (direct or group)
curl --request POST \
--url https://open.beatpass.ca/api/v1/messaging/conversations/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message_text": "<string>",
"user_id": 123,
"user_ids": [
123
],
"title": "<string>"
}
'import requests
url = "https://open.beatpass.ca/api/v1/messaging/conversations/start"
payload = {
"message_text": "<string>",
"user_id": 123,
"user_ids": [123],
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message_text: '<string>', user_id: 123, user_ids: [123], title: '<string>'})
};
fetch('https://open.beatpass.ca/api/v1/messaging/conversations/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Messaging
Start a new conversation (direct or group)
POST
/
messaging
/
conversations
/
start
Start a new conversation (direct or group)
Authorizations
API access is invite-only. Contact contact@beatpass.ca to request access. Once approved, generate tokens from Account Settings → Developers. Include as: Authorization: Bearer {token}. Tokens expire after 90 days.
Body
application/json
Response
Conversation created with initial message
Last modified on July 21, 2026
Was this page helpful?
⌘I